NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::CAE::SimSolution Class Reference

Represents a solution in the .sim files. More...

Inheritance diagram for NXOpen::CAE::SimSolution:
NXOpen::CAE::SimGroupContainer NXOpen::Report::IReportCollection NXOpen::NXObject NXOpen::INXObject NXOpen::TaggedObject NXOpen::INXObject

Public Types

enum  SetupCheckOption { SetupCheckOptionDoNotCheck, SetupCheckOptionCheckAndStopAtFirstError, SetupCheckOptionCompleteCheckAndOutputErrors }
 Model Setup Check Options. More...
 
enum  SolveMode { SolveModeBackground, SolveModeForeground }
 Run Mode Options. More...
 
enum  SolveOption {
  SolveOptionSolve, SolveOptionWriteSolverInputFile, SolveOptionSolveInputFile, SolveOptionWriteEditAndSolveInputFile,
  SolveOptionEditSolverInputFile, SolveOptionSolveModelQualityResults
}
 Solve Options. More...
 
enum  StepPosition { StepPositionFirst, StepPositionLast, StepPositionBefore, StepPositionAfter }
 Step creation options. More...
 

Public Member Functions

NXOpen::CAE::SimSimulation::AxisymAbstractionType AbstractionType ()
 Returns the abstraction type. More...
 
NXOpen::CAE::SimSolutionStepActiveStep ()
 Returns the active step
Created in NX4.0.0. More...
 
void AddBc (NXOpen::CAE::SimBC *bc)
 Add the bc to the solution Only the BC that not under the folder can be added to solution. More...
 
void AddFolder (NXOpen::CAE::SimLbcFolder *folder)
 Add the folder to the solution Only the folder not under other folder can be added to solution. More...
 
void AddPrerequisite (NXOpen::CAE::SimSolution *prerequisite)
 Adds a prerequisite to the solution. More...
 
void AddStep (NXOpen::CAE::SimSolutionStep *step)
 Adds a step to the solution. More...
 
int AllowedStepTypeCount ()
 Returns the count of allowable step types. More...
 
NXString AnalysisType ()
 Returns the analysis type. More...
 
void ApplySolverLanguageExportOptions (NXOpen::CAE::CaeDataContainer *propertyList)
 Stores the solver language export options to the specified solution. More...
 
NXOpen::CAE::SimLoadRecipeAttachedLoadRecipe ()
 Returns the CAE::SimLoadRecipe attached to this solution. More...
 
void CheckAnalysisQuality ()
 Check analysis quality on active structural solution
Created in NX12.0.0. More...
 
int ConflictingBcCount ()
 Returns the number of conflicting BC pairs in this solution
Created in NX10.0.0. More...
 
int ConflictingConstraintsCount ()
 Returns the number of conflicting constraint pairs in this solution
More...
 
NXOpen::CAE::CorrelAlignmentBuilderCreateAlignmentBuilder ()
 Creates the builder object for test and imported solution alignment dialog. More...
 
NXOpen::CAE::ConflictResolutionBuilderCreateConflictResolutionBuilder (NXOpen::CAE::SimGroupContainer *tStep, NXOpen::CAE::SimBC *tBc1, NXOpen::CAE::SimBC *tBc2)
 Creates a conflict resolution builder for this input pair of BCs. More...
 
NXOpen::CAE::ConstraintResolutionBuilderCreateConstraintResolutionBuilder (NXOpen::CAE::SimGroupContainer *tStep, NXOpen::CAE::SimConstraint *tConstraint1, NXOpen::CAE::SimConstraint *tConstraint2)
 Creates a constraint resolution builder for this input pair of constraints. More...
 
NXOpen::CAE::NodalForceReportBuilderCreateNodalForceReportBuilder (NXOpen::CAE::NodalForceReport *nodalForceReport)
 Creates the builder to create and edit Nodal Force Report object. More...
 
virtual NXOpen::Report::ReportCreateReport (const NXString &templateFile, const NXString &reportName, bool listError)
 Creates a Report::Report in this report collection. More...
 
virtual NXOpen::Report::ReportCreateReport (const char *templateFile, const char *reportName, bool listError)
 Creates a Report::Report in this report collection. More...
 
NXOpen::CAE::ResultProbeBuilderCreateResultProbeBuilder (NXOpen::CAE::ResultProbe *resultProbe)
 Creates the builder to create and edit Result Probe object. More...
 
NXOpen::CAE::SimSolutionStepCreateStep (int stepType, const NXString &stepName)
 Creates a step and add to the solution. More...
 
NXOpen::CAE::SimSolutionStepCreateStep (int stepType, const char *stepName)
 Creates a step and add to the solution. More...
 
NXOpen::CAE::SimSolutionStepCreateStep (int stepType, bool makeActive, const NXString &stepName)
 Creates a step, adds it to the solution and optionally makes it the Active Step. More...
 
NXOpen::CAE::SimSolutionStepCreateStep (int stepType, bool makeActive, const char *stepName)
 Creates a step, adds it to the solution and optionally makes it the Active Step. More...
 
NXOpen::CAE::SimSolutionStepCreateStep (int stepType, bool makeActive, const NXString &stepName, NXOpen::CAE::SimSolution::StepPosition position, NXOpen::CAE::SimSolutionStep *relativeStep)
 Create a step at the specified position, add to the solution and optionally make it active. More...
 
NXOpen::CAE::SimSolutionStepCreateStep (int stepType, bool makeActive, const char *stepName, NXOpen::CAE::SimSolution::StepPosition position, NXOpen::CAE::SimSolutionStep *relativeStep)
 Create a step at the specified position, add to the solution and optionally make it active. More...
 
void DeleteStep (NXOpen::CAE::SimSolutionStep *step)
 Removes a step from the solution. More...
 
void DetachLoadRecipe ()
 Detach the Load Recipe from this Solution deleting all steps and loads created from the Load Recipe
Created in NX12.0.0. More...
 
NXOpen::TaggedObjectFind (const NXString &journalIdentifier)
 Returns the children of the Solution of the given Identifier. More...
 
NXOpen::TaggedObjectFind (const char *journalIdentifier)
 Returns the children of the Solution of the given Identifier. More...
 
void GetAllResultProbes (std::vector< NXOpen::CAE::ResultProbe * > &resultProbes)
 Get all result probe in solution
Created in NX11.0.0. More...
 
std::vector< NXOpen::CAE::SimBC * > GetBcs ()
 Gets all the BCs in this solution. More...
 
void GetConflictingBcPairByIndex (int index, NXOpen::CAE::SimBC **tBc1, NXOpen::CAE::SimBC **tBc2, bool *ignored)
 Returns the nth conflicting BC pair, where the index is between 0 and NXOpen::CAE::SimSolution::ConflictingBcCount - 1
Created in NX10.0.0. More...
 
void GetConflictingConstraintPairByIndex (int index, NXOpen::CAE::SimConstraint **tConstraint1, NXOpen::CAE::SimConstraint **tConstraint2, bool *ignored)
 Returns the nth conflicting constraint pair, where the index is between 0 and NXOpen::CAE::SimSolution::ConflictingConstraintsCount - 1
More...
 
NXString GetDisplayNameOfSolutionType ()
 Get the display name of solution type. More...
 
NXString GetDisplayNameOfSolverType ()
 Get the display name of solver type. More...
 
std::vector
< NXOpen::CAE::SimLbcFolder * > 
GetFolders ()
 Gets all the root folders in this solution. More...
 
NXString GetManagedResultFile ()
 Get the managed result file name. More...
 
virtual void GetReports (std::vector< NXOpen::Report::Report * > &pReports)
 Gets all reports in the report collection. More...
 
void GetResultFile (NXString *resultfiledir, NXString *resfilename)
 Get the result file directory and result file name
More...
 
void GetResultFileUnits (std::vector< NXOpen::Unit * > &units)
 Get basic 6 units which are stored with solution used for loading the result file
More...
 
NXOpen::CAE::SimResultReferenceGetResultReferenceByIndex (int resultIndex)
 Returns the Result Reference at the index passed. More...
 
NXOpen::CAE::SimSolutionStepGetStepByIndex (int stepIndex)
 Returns the step at the index passed. More...
 
std::vector< NXOpen::CAE::SimBC * > GetUnfolderedBcs ()
 Gets all the unfoldered BCs in this solution. More...
 
void MoveStep (NXOpen::CAE::SimSolutionStep *stepToMove, NXOpen::CAE::SimSolution::StepPosition position, NXOpen::CAE::SimSolutionStep *relativeStep)
 Moves step to the specified position
Created in NX10.0.0. More...
 
NXOpen::CAE::PropertyTablePropertyTable ()
 Returns the property table associated with the solution object
Created in NX4.0.0. More...
 
void RemoveAllConstraints ()
 Remove all constraints from the solution. More...
 
void RemoveAllLoads ()
 Remove all loads from the solution. More...
 
void RemoveAllSimulationObjects ()
 Remove all simulation objects from the solution. More...
 
void RemoveBc (NXOpen::CAE::SimBC *bc)
 Remove the bc from the solution Only the BC that not under the folder can be remove from solution. More...
 
void RemoveFolder (NXOpen::CAE::SimLbcFolder *folder)
 Remove the folder from the solution Only the folder not under other folder can be removed from solution. More...
 
void RemovePrerequisite (NXOpen::CAE::SimSolution *prerequisite)
 Remove a prerequisite to the solution. More...
 
void Rename (const NXString &name, bool renameResults)
 Rename Solution and optionally rename associated results files
Created in NX6.0.2. More...
 
void Rename (const char *name, bool renameResults)
 Rename Solution and optionally rename associated results files
Created in NX6.0.2. More...
 
void ResolveConstraintConflicts ()
 Runs the Assisted Conflict Check Mechanism for all constraints NXOpen::CAE::SimConstraint in an active solution NXOpen::CAE::SimSolution and/or in an active step NXOpen::CAE::SimSolutionStep , generating new constraints NXOpen::CAE::SimConstraint if there is any conflcit between the constraints. More...
 
int ResultReferenceCount ()
 Returns the number of Result References
Created in NX10.0.0. More...
 
void SetActiveStep (NXOpen::CAE::SimSolutionStep *activeStep)
 Sets the active step
Created in NX4.0.0. More...
 
void SetFemValidInPost (bool valid)
 Specify whether NX Post should group entities based on node and element groups and meshes in the pre-processing model
Created in NX8.5.0. More...
 
void SetInferredResultFile ()
 Clear previously specified result file location
More...
 
void SetInferredResultFileUnits ()
 Clears previously specified result file units
More...
 
void SetLocalResultFile (const NXString &dirpath, const NXString &filename)
 Specify local result file
More...
 
void SetLocalResultFile (const char *dirpath, const char *filename)
 Specify local result file
More...
 
void SetManagedResultFile (const NXString &file)
 Specify managed result file
More...
 
void SetManagedResultFile (const char *file)
 Specify managed result file
More...
 
void SetResultFileUnits (const std::vector< NXOpen::Unit * > &units)
 Set result file units
More...
 
void SetTimePropsFromConditionSequence (NXOpen::CAE::SimConditionSequence *conditionSeqeunce)
 Set the time properties for this solution based on the given condition sequences
Created in NX9.0.0. More...
 
void SetTimePropsFromConditionSequence (NXOpen::CAE::SimConditionSequence *conditionSeqeunce, int numSteps)
 Set the time properties for this solution based on the given condition sequences and number of integration steps. More...
 
void SetTimePropsFromConditionSequence (NXOpen::CAE::SimConditionSequence *conditionSeqeunce, double stepSize, NXOpen::Unit *stepUnit)
 Set the time properties for this solution based on the given condition sequences and integration step size. More...
 
NXString SolutionType ()
 Returns the solution type. More...
 
void Solve (NXOpen::CAE::SimSolution::SolveOption solveOption, NXOpen::CAE::SimSolution::SetupCheckOption setupCheckOption)
 Solves the solution. More...
 
NXOpen::CAE::PropertyTableSolverOptionsPropertyTable ()
 Returns the property table associated with the solution's solver options
Created in NX6.0.2. More...
 
NXString SolverType ()
 Returns the solver type. More...
 
int StepCount ()
 Returns the number of steps. More...
 
void UpdateFromLoadRecipe ()
 Update steps and loads of this solution created from load recipe
Created in NX10.0.0. More...
 
- Public Member Functions inherited from NXOpen::CAE::SimGroupContainer
NXOpen::CAE::SimConstraintGroupCreateConstraintGroup ()
 Creates a constraint group for a solution or solution step. More...
 
NXOpen::CAE::SimLoadGroupCreateLoadGroup ()
 Creates a load group for a solution or solution step. More...
 
NXOpen::CAE::SimSimulationObjectGroupCreateSimulationObjectGroup ()
 Creates a simulation object group for a solution or solution step. More...
 
void DeleteGroup (NXOpen::CAE::SimBcGroup *lbGroup)
 Deletes a BC group from this group container. More...
 
int GetGroupCount ()
 Returns the number of groups in this container. More...
 
std::vector
< NXOpen::CAE::SimBcGroup * > 
GetGroups ()
 Gets the BC groups in this group container. More...
 
bool IsConstraintGroupAllowed ()
 Returns a value indicating whether a constraint group is allowed for this group container. More...
 
bool IsLoadGroupAllowed ()
 Returns a value indicating whether a load group is allowed for this group container. More...
 
bool IsSimulationObjectGroupAllowed ()
 Returns a value indicating whether a simulation object group is allowed for this group container. More...
 
- Public Member Functions inherited from NXOpen::NXObject
NXOpen::AttributeIteratorCreateAttributeIterator ()
 Create an attribute iterator. More...
 
void DeleteAllAttributesByType (NXOpen::NXObject::AttributeType type)
 Deletes all attributes of a specific type. More...
 
void DeleteAllAttributesByType (NXOpen::NXObject::AttributeType type, NXOpen::Update::Option option)
 Deletes all attributes of a specific type with the option to update or not. More...
 
void DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const NXString &title)
 Deletes an attribute by type and title. More...
 
void DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const char *title)
 Deletes an attribute by type and title. More...
 
void DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const NXString &title, NXOpen::Update::Option option)
 Deletes an attribute by type and title with the option to update or not. More...
 
void DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const char *title, NXOpen::Update::Option option)
 Deletes an attribute by type and title with the option to update or not. More...
 
void DeleteUserAttribute (NXOpen::NXObject::AttributeType type, const NXString &title, bool deleteEntireArray, NXOpen::Update::Option option)
 Deletes the first attribute encountered with the given Type, Title. More...
 
void DeleteUserAttribute (NXOpen::NXObject::AttributeType type, const char *title, bool deleteEntireArray, NXOpen::Update::Option option)
 Deletes the first attribute encountered with the given Type, Title. More...
 
void DeleteUserAttributes (NXOpen::AttributeIterator *iterator, NXOpen::Update::Option option)
 Deletes the attributes on the object, if any, that satisfy the given iterator
Created in NX8.0.0. More...
 
void DeleteUserAttributes (NXOpen::NXObject::AttributeType type, NXOpen::Update::Option option)
 Deletes the attributes encountered with the given Type with option to update or not. More...
 
virtual NXOpen::INXObjectFindObject (const NXString &journalIdentifier)
 Finds the NXOpen::NXObject with the given identifier as recorded in a journal. More...
 
virtual NXOpen::INXObjectFindObject (const char *journalIdentifier)
 Finds the NXOpen::NXObject with the given identifier as recorded in a journal. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetAttributeTitlesByType (NXOpen::NXObject::AttributeType type)
 Gets all the attribute titles of a specific type. More...
 
bool GetBooleanUserAttribute (const NXString &title, int index)
 Gets a boolean attribute by Title and array Index. More...
 
bool GetBooleanUserAttribute (const char *title, int index)
 Gets a boolean attribute by Title and array Index. More...
 
NXOpen::NXObject::ComputationalTime GetComputationalTimeUserAttribute (const NXString &title, int index)
 Gets a time attribute by Title and array Index. More...
 
NXOpen::NXObject::ComputationalTime GetComputationalTimeUserAttribute (const char *title, int index)
 Gets a time attribute by Title and array Index. More...
 
int GetIntegerAttribute (const NXString &title)
 Gets an integer attribute by title. More...
 
int GetIntegerAttribute (const char *title)
 Gets an integer attribute by title. More...
 
int GetIntegerUserAttribute (const NXString &title, int index)
 Gets an integer attribute by Title and array Index. More...
 
int GetIntegerUserAttribute (const char *title, int index)
 Gets an integer attribute by Title and array Index. More...
 
bool GetNextUserAttribute (NXOpen::AttributeIterator *iterator, NXOpen::NXObject::AttributeInformation *info)
 Gets the next attribute encountered on the object, if any, that satisfies the given iterator. More...
 
NXString GetPdmReferenceAttributeValue (const NXString &attributeTitle)
 Gets the value of PDM Reference attribute for given object. More...
 
NXString GetPdmReferenceAttributeValue (const char *attributeTitle)
 Gets the value of PDM Reference attribute for given object. More...
 
double GetRealAttribute (const NXString &title)
 Gets a real attribute by title. More...
 
double GetRealAttribute (const char *title)
 Gets a real attribute by title. More...
 
double GetRealUserAttribute (const NXString &title, int index)
 Gets a real attribute by Title and array Index. More...
 
double GetRealUserAttribute (const char *title, int index)
 Gets a real attribute by Title and array Index. More...
 
NXString GetReferenceAttribute (const NXString &title)
 Gets the reference string (not the calculated value) of a string attribute that uses a reference string. More...
 
NXString GetReferenceAttribute (const char *title)
 Gets the reference string (not the calculated value) of a string attribute that uses a reference string. More...
 
NXString GetStringAttribute (const NXString &title)
 Gets a string attribute value by title. More...
 
NXString GetStringAttribute (const char *title)
 Gets a string attribute value by title. More...
 
NXString GetStringUserAttribute (const NXString &title, int index)
 Gets a string attribute by Title and array Index. More...
 
NXString GetStringUserAttribute (const char *title, int index)
 Gets a string attribute by Title and array Index. More...
 
NXString GetTimeAttribute (NXOpen::NXObject::DateAndTimeFormat format, const NXString &title)
 Gets a time attribute by title. More...
 
NXString GetTimeAttribute (NXOpen::NXObject::DateAndTimeFormat format, const char *title)
 Gets a time attribute by title. More...
 
NXString GetTimeUserAttribute (const NXString &title, int index)
 Gets a time attribute by Title and array Index. More...
 
NXString GetTimeUserAttribute (const char *title, int index)
 Gets a time attribute by Title and array Index. More...
 
NXOpen::NXObject::AttributeInformation GetUserAttribute (const NXString &title, NXOpen::NXObject::AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. More...
 
NXOpen::NXObject::AttributeInformation GetUserAttribute (const char *title, NXOpen::NXObject::AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttribute (const NXString &title, bool includeUnset, bool addStringValues, NXOpen::NXObject::AttributeType type)
 Gets the first attribute (or attribute array) encountered on the object, if any, with a given Title and Type. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttribute (const char *title, bool includeUnset, bool addStringValues, NXOpen::NXObject::AttributeType type)
 Gets the first attribute (or attribute array) encountered on the object, if any, with a given Title and Type. More...
 
NXString GetUserAttributeAsString (const NXString &title, NXOpen::NXObject::AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given title, type and array index. More...
 
NXString GetUserAttributeAsString (const char *title, NXOpen::NXObject::AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given title, type and array index. More...
 
int GetUserAttributeCount (NXOpen::AttributeIterator *iterator)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
int GetUserAttributeCount (NXOpen::AttributeIterator *iterator, bool countArrayAsOneAttribute)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
int GetUserAttributeCount (NXOpen::NXObject::AttributeType type)
 Gets the count of set attributes on the object, if any, of the given type. More...
 
int GetUserAttributeCount (NXOpen::NXObject::AttributeType type, bool includeUnset, bool countArrayAsOneAttribute)
 Gets the count of attributes on the object, if any, of the given type. More...
 
bool GetUserAttributeLock (const NXString &title, NXOpen::NXObject::AttributeType type)
 Determine the lock of the given attribute. More...
 
bool GetUserAttributeLock (const char *title, NXOpen::NXObject::AttributeType type)
 Determine the lock of the given attribute. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttributes (NXOpen::AttributeIterator *iterator)
 Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttributes ()
 Gets all the attributes that have been set on the given object. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttributes (bool includeUnset)
 Gets all the attributes of the given object. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttributes (bool includeUnset, bool addStringValues)
 Gets all the attributes of the given object. More...
 
std::vector< NXStringGetUserAttributesAsStrings ()
 Gets all the attributes that have been set on the given object. More...
 
int GetUserAttributeSize (const NXString &title, NXOpen::NXObject::AttributeType type)
 Gets the size of the first attribute encountered on the object, if any, with a given Title and Type. More...
 
int GetUserAttributeSize (const char *title, NXOpen::NXObject::AttributeType type)
 Gets the size of the first attribute encountered on the object, if any, with a given Title and Type. More...
 
std::vector< NXOpen::NXObject * > GetUserAttributeSourceObjects ()
 Returns an array of objects from which this object presents attributes. More...
 
bool HasUserAttribute (NXOpen::AttributeIterator *iterator)
 Determines if an attribute exists on the object, that satisfies the given iterator. More...
 
bool HasUserAttribute (const NXString &title, NXOpen::NXObject::AttributeType type, int index)
 Determines if an attribute with the given Title, Type and array Index is present on the object Unset attributes will not be detected by this function, as its purpose is to test for the actual presence of the attribute on the object. More...
 
bool HasUserAttribute (const char *title, NXOpen::NXObject::AttributeType type, int index)
 Determines if an attribute with the given Title, Type and array Index is present on the object Unset attributes will not be detected by this function, as its purpose is to test for the actual presence of the attribute on the object. More...
 
virtual bool IsOccurrence ()
 Returns whether this object is an occurrence or not. More...
 
virtual NXString JournalIdentifier ()
 Returns the identifier that would be recorded in a journal for this object. More...
 
virtual NXString Name ()
 Returns the custom name of the object. More...
 
virtual
NXOpen::Assemblies::Component
OwningComponent ()
 Returns the owning component, if this object is an occurrence. More...
 
virtual NXOpen::BasePartOwningPart ()
 Returns the owning part of this object
Created in NX3.0.0. More...
 
virtual void Print ()
 Prints a representation of this object to the system log file. More...
 
virtual NXOpen::INXObjectPrototype ()
 Returns the prototype of this object if it is an occurrence. More...
 
void SetAttribute (const NXString &title, int value)
 Creates or modifies an integer attribute. More...
 
void SetAttribute (const char *title, int value)
 Creates or modifies an integer attribute. More...
 
void SetAttribute (const NXString &title, int value, NXOpen::Update::Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
void SetAttribute (const char *title, int value, NXOpen::Update::Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
void SetAttribute (const NXString &title, double value)
 Creates or modifies a real attribute. More...
 
void SetAttribute (const char *title, double value)
 Creates or modifies a real attribute. More...
 
void SetAttribute (const NXString &title, double value, NXOpen::Update::Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
void SetAttribute (const char *title, double value, NXOpen::Update::Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
void SetAttribute (const NXString &title, const NXString &value)
 Creates or modifies a string attribute. More...
 
void SetAttribute (const char *title, const char *value)
 Creates or modifies a string attribute. More...
 
void SetAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
void SetAttribute (const char *title, const char *value, NXOpen::Update::Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
void SetAttribute (const NXString &title)
 Creates or modifies a null attribute which is an attribute with a title and no value. More...
 
void SetAttribute (const char *title)
 Creates or modifies a null attribute which is an attribute with a title and no value. More...
 
void SetAttribute (const NXString &title, NXOpen::Update::Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
void SetAttribute (const char *title, NXOpen::Update::Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
void SetBooleanUserAttribute (const NXString &title, int index, bool value, NXOpen::Update::Option option)
 Creates or modifies a boolean attribute with the option to update or not. More...
 
void SetBooleanUserAttribute (const char *title, int index, bool value, NXOpen::Update::Option option)
 Creates or modifies a boolean attribute with the option to update or not. More...
 
virtual void SetName (const NXString &name)
 Sets the custom name of the object. More...
 
virtual void SetName (const char *name)
 Sets the custom name of the object. More...
 
void SetPdmReferenceAttribute (const NXString &attributeTitle, const NXString &attributeValue)
 Sets the value of PDM Reference attribute on the object. More...
 
void SetPdmReferenceAttribute (const char *attributeTitle, const char *attributeValue)
 Sets the value of PDM Reference attribute on the object. More...
 
void SetReferenceAttribute (const NXString &title, const NXString &value)
 Creates or modifies a string attribute which uses a reference string. More...
 
void SetReferenceAttribute (const char *title, const char *value)
 Creates or modifies a string attribute which uses a reference string. More...
 
void SetReferenceAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a string attribute which uses a reference string, with the option to update or not. More...
 
void SetReferenceAttribute (const char *title, const char *value, NXOpen::Update::Option option)
 Creates or modifies a string attribute which uses a reference string, with the option to update or not. More...
 
void SetTimeAttribute (const NXString &title, const NXString &value)
 Creates or modifies a time attribute. More...
 
void SetTimeAttribute (const char *title, const char *value)
 Creates or modifies a time attribute. More...
 
void SetTimeAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeAttribute (const char *title, const char *value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeUserAttribute (const NXString &title, int index, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeUserAttribute (const char *title, int index, const char *value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeUserAttribute (const NXString &title, int index, const NXOpen::NXObject::ComputationalTime &value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeUserAttribute (const char *title, int index, const NXOpen::NXObject::ComputationalTime &value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetUserAttribute (const NXOpen::NXObject::AttributeInformation &info, NXOpen::Update::Option option)
 Creates or modifies an attribute with the option to update or not. More...
 
void SetUserAttribute (const NXString &title, int index, int value, NXOpen::Update::Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
void SetUserAttribute (const char *title, int index, int value, NXOpen::Update::Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
void SetUserAttribute (const NXString &title, int index, double value, NXOpen::Update::Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
void SetUserAttribute (const char *title, int index, double value, NXOpen::Update::Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
void SetUserAttribute (const NXString &title, int index, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
void SetUserAttribute (const char *title, int index, const char *value, NXOpen::Update::Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
void SetUserAttribute (const NXString &title, int index, NXOpen::Update::Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
void SetUserAttribute (const char *title, int index, NXOpen::Update::Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
void SetUserAttributeLock (const NXString &title, NXOpen::NXObject::AttributeType type, bool lock)
 Lock or unlock the given attribute. More...
 
void SetUserAttributeLock (const char *title, NXOpen::NXObject::AttributeType type, bool lock)
 Lock or unlock the given attribute. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a solution in the .sim files.

For more information, refer to the Solver language documentation in the SolverLanguageDocumentation.


To create a new instance of this class, use NXOpen::CAE::SimSimulation::CreateSolution

Created in NX4.0.0.

Member Enumeration Documentation

Model Setup Check Options.

Enumerator
SetupCheckOptionDoNotCheck 

do perform any set up checks

SetupCheckOptionCheckAndStopAtFirstError 

perform set up checks but stop at first error

SetupCheckOptionCompleteCheckAndOutputErrors 

perform all set up checks and report all errors

Run Mode Options.

Enumerator
SolveModeBackground 

Run the solver in background.

SolveModeForeground 

Run the solver in foreground.

Solve Options.

Enumerator
SolveOptionSolve 

write solver input file and launch solve

SolveOptionWriteSolverInputFile 

write solver input file only

SolveOptionSolveInputFile 

launch solve with existing solver input file

SolveOptionWriteEditAndSolveInputFile 

write solver input file, allow edit and then launch solve

SolveOptionEditSolverInputFile 

edit existing solver input file

SolveOptionSolveModelQualityResults 

solve model quality results

Step creation options.

Enumerator
StepPositionFirst 

first

StepPositionLast 

last

StepPositionBefore 

before the specified step

StepPositionAfter 

after the specified step

Member Function Documentation

NXOpen::CAE::SimSimulation::AxisymAbstractionType NXOpen::CAE::SimSolution::AbstractionType ( )

Returns the abstraction type.


Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

NXOpen::CAE::SimSolutionStep* NXOpen::CAE::SimSolution::ActiveStep ( )

Returns the active step
Created in NX4.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

void NXOpen::CAE::SimSolution::AddBc ( NXOpen::CAE::SimBC bc)

Add the bc to the solution Only the BC that not under the folder can be added to solution.


Created in NX4.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
bcthe bc to be added
void NXOpen::CAE::SimSolution::AddFolder ( NXOpen::CAE::SimLbcFolder folder)

Add the folder to the solution Only the folder not under other folder can be added to solution.


Created in NX9.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
folderthe folder to be added
void NXOpen::CAE::SimSolution::AddPrerequisite ( NXOpen::CAE::SimSolution prerequisite)

Adds a prerequisite to the solution.


Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
prerequisiteprerequisite solution to be added
void NXOpen::CAE::SimSolution::AddStep ( NXOpen::CAE::SimSolutionStep step)

Adds a step to the solution.


Created in NX4.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
stepsolution step to be added
int NXOpen::CAE::SimSolution::AllowedStepTypeCount ( )

Returns the count of allowable step types.


Created in NX4.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

NXString NXOpen::CAE::SimSolution::AnalysisType ( )

Returns the analysis type.


Created in NX4.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

void NXOpen::CAE::SimSolution::ApplySolverLanguageExportOptions ( NXOpen::CAE::CaeDataContainer propertyList)

Stores the solver language export options to the specified solution.


Created in NX8.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
propertyListthe export option parameters. See CAE::CaeSession::GetDataContainer .
NXOpen::CAE::SimLoadRecipe* NXOpen::CAE::SimSolution::AttachedLoadRecipe ( )

Returns the CAE::SimLoadRecipe attached to this solution.


Created in NX12.0.0.

License requirements : None

void NXOpen::CAE::SimSolution::CheckAnalysisQuality ( )

Check analysis quality on active structural solution
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

int NXOpen::CAE::SimSolution::ConflictingBcCount ( )

Returns the number of conflicting BC pairs in this solution
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

int NXOpen::CAE::SimSolution::ConflictingConstraintsCount ( )

Returns the number of conflicting constraint pairs in this solution

Deprecated:
Deprecated in NX10.0.0.

Use NXOpen::CAE::SimSolution::ConflictingBcCount instead.


Created in NX8.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

NXOpen::CAE::CorrelAlignmentBuilder* NXOpen::CAE::SimSolution::CreateAlignmentBuilder ( )

Creates the builder object for test and imported solution alignment dialog.

Returns

Created in NX7.5.0.

License requirements : nx_correl_base ("FE Correlation")
NXOpen::CAE::ConflictResolutionBuilder* NXOpen::CAE::SimSolution::CreateConflictResolutionBuilder ( NXOpen::CAE::SimGroupContainer tStep,
NXOpen::CAE::SimBC tBc1,
NXOpen::CAE::SimBC tBc2 
)

Creates a conflict resolution builder for this input pair of BCs.

Returns

Created in NX10.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
tStepsolution step. can be same as solution
tBc1first BC in conflict
tBc2second BC in conflict
NXOpen::CAE::ConstraintResolutionBuilder* NXOpen::CAE::SimSolution::CreateConstraintResolutionBuilder ( NXOpen::CAE::SimGroupContainer tStep,
NXOpen::CAE::SimConstraint tConstraint1,
NXOpen::CAE::SimConstraint tConstraint2 
)

Creates a constraint resolution builder for this input pair of constraints.

Returns

Deprecated:
Deprecated in NX10.0.0. Use NXOpen::CAE::SimSolution::CreateConflictResolutionBuilder instead.


Created in NX8.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
tStepsolution step. can be same as solution
tConstraint1first constraint in conflict
tConstraint2second constraint in conflict
NXOpen::CAE::NodalForceReportBuilder* NXOpen::CAE::SimSolution::CreateNodalForceReportBuilder ( NXOpen::CAE::NodalForceReport nodalForceReport)

Creates the builder to create and edit Nodal Force Report object.

Returns

Created in NX11.0.2.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
nodalForceReportnodalforcereport
virtual NXOpen::Report::Report* NXOpen::CAE::SimSolution::CreateReport ( const NXString templateFile,
const NXString reportName,
bool  listError 
)
virtual

Creates a Report::Report in this report collection.

NX will not create a report if the report name is empty or existed.

Returns

Created in NX11.0.0.

License requirements : nx_design_sim ("NX Design Simulation")
Parameters
templateFileTemplate file name with full path
reportNameReport name
listErrorlist error information in listing window

Implements NXOpen::Report::IReportCollection.

virtual NXOpen::Report::Report* NXOpen::CAE::SimSolution::CreateReport ( const char *  templateFile,
const char *  reportName,
bool  listError 
)
virtual

Creates a Report::Report in this report collection.

NX will not create a report if the report name is empty or existed.

Returns

Created in NX11.0.0.

License requirements : nx_design_sim ("NX Design Simulation")
Parameters
templateFileTemplate file name with full path
reportNameReport name
listErrorlist error information in listing window

Implements NXOpen::Report::IReportCollection.

NXOpen::CAE::ResultProbeBuilder* NXOpen::CAE::SimSolution::CreateResultProbeBuilder ( NXOpen::CAE::ResultProbe resultProbe)

Creates the builder to create and edit Result Probe object.

Returns

Created in NX10.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
resultProberesultprobe
NXOpen::CAE::SimSolutionStep* NXOpen::CAE::SimSolution::CreateStep ( int  stepType,
const NXString stepName 
)

Creates a step and add to the solution.

Returns
step NXOpen::CAE::SimSolutionStep to be added
Created in NX4.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
stepTypeindex of the step type
stepNamename of the step
NXOpen::CAE::SimSolutionStep* NXOpen::CAE::SimSolution::CreateStep ( int  stepType,
const char *  stepName 
)

Creates a step and add to the solution.

Returns
step NXOpen::CAE::SimSolutionStep to be added
Created in NX4.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
stepTypeindex of the step type
stepNamename of the step
NXOpen::CAE::SimSolutionStep* NXOpen::CAE::SimSolution::CreateStep ( int  stepType,
bool  makeActive,
const NXString stepName 
)

Creates a step, adds it to the solution and optionally makes it the Active Step.

Making it the active step will also make the Solution active if it is not already.

Returns
step NXOpen::CAE::SimSolutionStep to be added
Created in NX8.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
stepTypeindex of the step type
makeActiveif true the step will be made the active step
stepNamename of the step
NXOpen::CAE::SimSolutionStep* NXOpen::CAE::SimSolution::CreateStep ( int  stepType,
bool  makeActive,
const char *  stepName 
)

Creates a step, adds it to the solution and optionally makes it the Active Step.

Making it the active step will also make the Solution active if it is not already.

Returns
step NXOpen::CAE::SimSolutionStep to be added
Created in NX8.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
stepTypeindex of the step type
makeActiveif true the step will be made the active step
stepNamename of the step
NXOpen::CAE::SimSolutionStep* NXOpen::CAE::SimSolution::CreateStep ( int  stepType,
bool  makeActive,
const NXString stepName,
NXOpen::CAE::SimSolution::StepPosition  position,
NXOpen::CAE::SimSolutionStep relativeStep 
)

Create a step at the specified position, add to the solution and optionally make it active.

Returns
step NXOpen::CAE::SimSolutionStep to be added
Created in NX10.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
stepTypeindex of the step type
makeActiveif true the step will be made the active step
stepNamename of the step
positionrelative position
relativeStepthe step with respect to which the relative position is specified
NXOpen::CAE::SimSolutionStep* NXOpen::CAE::SimSolution::CreateStep ( int  stepType,
bool  makeActive,
const char *  stepName,
NXOpen::CAE::SimSolution::StepPosition  position,
NXOpen::CAE::SimSolutionStep relativeStep 
)

Create a step at the specified position, add to the solution and optionally make it active.

Returns
step NXOpen::CAE::SimSolutionStep to be added
Created in NX10.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
stepTypeindex of the step type
makeActiveif true the step will be made the active step
stepNamename of the step
positionrelative position
relativeStepthe step with respect to which the relative position is specified
void NXOpen::CAE::SimSolution::DeleteStep ( NXOpen::CAE::SimSolutionStep step)

Removes a step from the solution.


Created in NX4.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
stepstep NXOpen::CAE::SimSolutionStep to be added
void NXOpen::CAE::SimSolution::DetachLoadRecipe ( )

Detach the Load Recipe from this Solution deleting all steps and loads created from the Load Recipe
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

NXOpen::TaggedObject* NXOpen::CAE::SimSolution::Find ( const NXString journalIdentifier)

Returns the children of the Solution of the given Identifier.

Returns

Created in NX10.0.0.

License requirements : None
Parameters
journalIdentifierJournal identifier of the object
NXOpen::TaggedObject* NXOpen::CAE::SimSolution::Find ( const char *  journalIdentifier)

Returns the children of the Solution of the given Identifier.

Returns

Created in NX10.0.0.

License requirements : None
Parameters
journalIdentifierJournal identifier of the object
void NXOpen::CAE::SimSolution::GetAllResultProbes ( std::vector< NXOpen::CAE::ResultProbe * > &  resultProbes)

Get all result probe in solution
Created in NX11.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
resultProbesresultprobes
std::vector<NXOpen::CAE::SimBC *> NXOpen::CAE::SimSolution::GetBcs ( )

Gets all the BCs in this solution.

Returns
Resultant bcs
Created in NX8.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
void NXOpen::CAE::SimSolution::GetConflictingBcPairByIndex ( int  index,
NXOpen::CAE::SimBC **  tBc1,
NXOpen::CAE::SimBC **  tBc2,
bool *  ignored 
)

Returns the nth conflicting BC pair, where the index is between 0 and NXOpen::CAE::SimSolution::ConflictingBcCount - 1
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
indexindex of the conflicting BC pair, which is between 0 and NXOpen::CAE::SimSolution::ConflictingBcCount - 1
tBc1BC1 for this conflict pair
tBc2BC2 for this conflict pair
ignoredindicates that this conflict pair was previously resolved using the NXOpen::CAE::ConstraintResolutionBuilder::RuleIgnoreConflict
void NXOpen::CAE::SimSolution::GetConflictingConstraintPairByIndex ( int  index,
NXOpen::CAE::SimConstraint **  tConstraint1,
NXOpen::CAE::SimConstraint **  tConstraint2,
bool *  ignored 
)

Returns the nth conflicting constraint pair, where the index is between 0 and NXOpen::CAE::SimSolution::ConflictingConstraintsCount - 1

Deprecated:
Deprecated in NX10.0.0.

Use NXOpen::CAE::SimSolution::GetConflictingBcPairByIndex instead.


Created in NX8.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
indexindex of the conflicting constraint pair, which is between 0 and NXOpen::CAE::SimSolution::ConflictingConstraintsCount - 1
tConstraint1constraint1 for this constraint pair
tConstraint2constraint2 for this constraint pair
ignoredindicates that this conflict pair was previously resolved using the NXOpen::CAE::ConstraintResolutionBuilder::RuleIgnoreConflict
NXString NXOpen::CAE::SimSolution::GetDisplayNameOfSolutionType ( )

Get the display name of solution type.

Returns
The display name of solution type
Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
NXString NXOpen::CAE::SimSolution::GetDisplayNameOfSolverType ( )

Get the display name of solver type.

Returns
The display name of solver type
Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
std::vector<NXOpen::CAE::SimLbcFolder *> NXOpen::CAE::SimSolution::GetFolders ( )

Gets all the root folders in this solution.

Returns
Resultant bcs
Created in NX8.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
NXString NXOpen::CAE::SimSolution::GetManagedResultFile ( )

Get the managed result file name.

Returns
managed result file name
Deprecated:
Deprecated in NX10.0.0. Use NXOpen::CAE::SimResultReference :GetManagedResultFile instead.


Created in NX8.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

virtual void NXOpen::CAE::SimSolution::GetReports ( std::vector< NXOpen::Report::Report * > &  pReports)
virtual

Gets all reports in the report collection.


Created in NX11.0.0.

License requirements : nx_design_sim ("NX Design Simulation")

Parameters
pReportspreports

Implements NXOpen::Report::IReportCollection.

void NXOpen::CAE::SimSolution::GetResultFile ( NXString resultfiledir,
NXString resfilename 
)

Get the result file directory and result file name

Deprecated:
Deprecated in NX10.0.0.

Use NXOpen::CAE::SimResultReference :GetResultFile instead.


Created in NX8.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
resultfiledirdirectly path where result file is stored
resfilenameresult file name
void NXOpen::CAE::SimSolution::GetResultFileUnits ( std::vector< NXOpen::Unit * > &  units)

Get basic 6 units which are stored with solution used for loading the result file

Deprecated:
Deprecated in NX10.0.0.

Use NXOpen::CAE::SimResultReference :GetResultFileUnits instead.


Created in NX8.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
units6 basic units used to define the quantities in result file in order of mass, length, time, temperature, angle, and thermal energy
NXOpen::CAE::SimResultReference* NXOpen::CAE::SimSolution::GetResultReferenceByIndex ( int  resultIndex)

Returns the Result Reference at the index passed.

Returns
step NXOpen::CAE::SimResultReference at the index
Created in NX10.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
resultIndexindex of the result reference
NXOpen::CAE::SimSolutionStep* NXOpen::CAE::SimSolution::GetStepByIndex ( int  stepIndex)

Returns the step at the index passed.

Returns
step NXOpen::CAE::SimSolutionStep at the index
Created in NX4.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
stepIndexindex of the step
std::vector<NXOpen::CAE::SimBC *> NXOpen::CAE::SimSolution::GetUnfolderedBcs ( )

Gets all the unfoldered BCs in this solution.

Returns
Resultant bcs
Created in NX8.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
void NXOpen::CAE::SimSolution::MoveStep ( NXOpen::CAE::SimSolutionStep stepToMove,
NXOpen::CAE::SimSolution::StepPosition  position,
NXOpen::CAE::SimSolutionStep relativeStep 
)

Moves step to the specified position
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
stepToMovestep to move
positionrelative position
relativeStepthe step with respect to which the relative position is specified
NXOpen::CAE::PropertyTable* NXOpen::CAE::SimSolution::PropertyTable ( )

Returns the property table associated with the solution object
Created in NX4.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

void NXOpen::CAE::SimSolution::RemoveAllConstraints ( )

Remove all constraints from the solution.


Created in NX8.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

void NXOpen::CAE::SimSolution::RemoveAllLoads ( )

Remove all loads from the solution.


Created in NX8.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

void NXOpen::CAE::SimSolution::RemoveAllSimulationObjects ( )

Remove all simulation objects from the solution.


Created in NX8.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

void NXOpen::CAE::SimSolution::RemoveBc ( NXOpen::CAE::SimBC bc)

Remove the bc from the solution Only the BC that not under the folder can be remove from solution.


Created in NX4.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
bcthe bc to be removed
void NXOpen::CAE::SimSolution::RemoveFolder ( NXOpen::CAE::SimLbcFolder folder)

Remove the folder from the solution Only the folder not under other folder can be removed from solution.


Created in NX9.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
folderthe folder to be removed
void NXOpen::CAE::SimSolution::RemovePrerequisite ( NXOpen::CAE::SimSolution prerequisite)

Remove a prerequisite to the solution.


Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
prerequisiteprerequisite solution to be removed
void NXOpen::CAE::SimSolution::Rename ( const NXString name,
bool  renameResults 
)

Rename Solution and optionally rename associated results files
Created in NX6.0.2.



License requirements : None

Parameters
namenew solution name
renameResultstrue if you what associated results files to be renamed as well
void NXOpen::CAE::SimSolution::Rename ( const char *  name,
bool  renameResults 
)

Rename Solution and optionally rename associated results files
Created in NX6.0.2.



License requirements : None

Parameters
namenew solution name
renameResultstrue if you what associated results files to be renamed as well
void NXOpen::CAE::SimSolution::ResolveConstraintConflicts ( )

Runs the Assisted Conflict Check Mechanism for all constraints NXOpen::CAE::SimConstraint in an active solution NXOpen::CAE::SimSolution and/or in an active step NXOpen::CAE::SimSolutionStep , generating new constraints NXOpen::CAE::SimConstraint if there is any conflcit between the constraints.


Created in NX6.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

int NXOpen::CAE::SimSolution::ResultReferenceCount ( )

Returns the number of Result References
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

void NXOpen::CAE::SimSolution::SetActiveStep ( NXOpen::CAE::SimSolutionStep activeStep)

Sets the active step
Created in NX4.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
activeStepactive step NXOpen::CAE::SimSolutionStep
void NXOpen::CAE::SimSolution::SetFemValidInPost ( bool  valid)

Specify whether NX Post should group entities based on node and element groups and meshes in the pre-processing model
Created in NX8.5.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
validvalid or not
void NXOpen::CAE::SimSolution::SetInferredResultFile ( )

Clear previously specified result file location

Deprecated:
Deprecated in NX10.0.0.

Use NXOpen::CAE::SimResultReference :SetInferredResultFile instead.


Created in NX8.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

void NXOpen::CAE::SimSolution::SetInferredResultFileUnits ( )

Clears previously specified result file units

Deprecated:
Deprecated in NX10.0.0.

Use NXOpen::CAE::SimResultReference :SetInferredResultFileUnits instead.


Created in NX8.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

void NXOpen::CAE::SimSolution::SetLocalResultFile ( const NXString dirpath,
const NXString filename 
)

Specify local result file

Deprecated:
Deprecated in NX10.0.0.

Use NXOpen::CAE::SimResultReference :SetLocalResultFile instead.


Created in NX8.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
dirpathdirectory name
filenamefile name
void NXOpen::CAE::SimSolution::SetLocalResultFile ( const char *  dirpath,
const char *  filename 
)

Specify local result file

Deprecated:
Deprecated in NX10.0.0.

Use NXOpen::CAE::SimResultReference :SetLocalResultFile instead.


Created in NX8.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
dirpathdirectory name
filenamefile name
void NXOpen::CAE::SimSolution::SetManagedResultFile ( const NXString file)

Specify managed result file

Deprecated:
Deprecated in NX10.0.0.

Use NXOpen::CAE::SimResultReference :SetManagedResultFile instead.


Created in NX8.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
filefile name
void NXOpen::CAE::SimSolution::SetManagedResultFile ( const char *  file)

Specify managed result file

Deprecated:
Deprecated in NX10.0.0.

Use NXOpen::CAE::SimResultReference :SetManagedResultFile instead.


Created in NX8.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
filefile name
void NXOpen::CAE::SimSolution::SetResultFileUnits ( const std::vector< NXOpen::Unit * > &  units)

Set result file units

Deprecated:
Deprecated in NX10.0.0.

Use NXOpen::CAE::SimResultReference :SetResultFileUnits instead.


Created in NX8.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
units6 units for mass, length, time, temperature, angle, and thermal energy
void NXOpen::CAE::SimSolution::SetTimePropsFromConditionSequence ( NXOpen::CAE::SimConditionSequence conditionSeqeunce)

Set the time properties for this solution based on the given condition sequences
Created in NX9.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
conditionSeqeuncepopulate solution time properties from NXOpen::CAE::SimConditionSequence
void NXOpen::CAE::SimSolution::SetTimePropsFromConditionSequence ( NXOpen::CAE::SimConditionSequence conditionSeqeunce,
int  numSteps 
)

Set the time properties for this solution based on the given condition sequences and number of integration steps.


Created in NX9.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
conditionSeqeuncepopulate solution time properties from NXOpen::CAE::SimConditionSequence
numStepsnumber of integration steps
void NXOpen::CAE::SimSolution::SetTimePropsFromConditionSequence ( NXOpen::CAE::SimConditionSequence conditionSeqeunce,
double  stepSize,
NXOpen::Unit stepUnit 
)

Set the time properties for this solution based on the given condition sequences and integration step size.


Created in NX9.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
conditionSeqeuncepopulate solution time properties from NXOpen::CAE::SimConditionSequence
stepSizesize of integration steps
stepUnitstep size NXOpen::Unit
NXString NXOpen::CAE::SimSolution::SolutionType ( )

Returns the solution type.


Created in NX4.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

void NXOpen::CAE::SimSolution::Solve ( NXOpen::CAE::SimSolution::SolveOption  solveOption,
NXOpen::CAE::SimSolution::SetupCheckOption  setupCheckOption 
)

Solves the solution.


Created in NX6.0.2.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
solveOptionsolve option
setupCheckOptionsetup check option
NXOpen::CAE::PropertyTable* NXOpen::CAE::SimSolution::SolverOptionsPropertyTable ( )

Returns the property table associated with the solution's solver options
Created in NX6.0.2.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

NXString NXOpen::CAE::SimSolution::SolverType ( )

Returns the solver type.


Created in NX4.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

int NXOpen::CAE::SimSolution::StepCount ( )

Returns the number of steps.


Created in NX4.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

void NXOpen::CAE::SimSolution::UpdateFromLoadRecipe ( )

Update steps and loads of this solution created from load recipe
Created in NX10.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.